log.c File Reference
`#include "liblightify-private.h"`
`#include "log.h"`
`#include "context.h"`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <stdint.h>`
`#include <syslog.h>`
`#include <ctype.h>`
`#include <string.h>`
Include dependency graph for log.c:

Go to the source code of this file.

## Functions

void | lightify_log (struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format,...)
void | log_stderr (struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format, va_list args)
int | log_priority (const char *priority)
LIGHTIFY_EXPORT int | lightify_set_log_fn (struct lightify_ctx *ctx, void(*log_fn)(struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format, va_list args))
LIGHTIFY_EXPORT int | lightify_get_log_priority (struct lightify_ctx *ctx)
LIGHTIFY_EXPORT int | lightify_set_log_priority (struct lightify_ctx *ctx, int priority)

## Function Documentation

void lightify_log | ( | struct lightify_ctx * | ctx,
|  | int | priority,
|  | const char * | file,
|  | int | line,
|  | const char * | fn,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 44 of file log.c.

int log_priority | ( | const char * | priority | ) |

Definition at line 62 of file log.c.

void log_stderr | ( | struct lightify_ctx * | ctx,
|  | int | priority,
|  | const char * | file,
|  | int | line,
|  | const char * | fn,
|  | const char * | format,
|  | va_list | args
| ) |  |

Definition at line 54 of file log.c.